io.vertx.ext.web.handler.sockjs

## Class BridgeOptions

- java.lang.Object
- - io.vertx.ext.web.handler.sockjs.BridgeOptions

-     public class BridgeOptions
      extends Object

  Options for configuring the event bus bridge.
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_ADDRESS_LENGTH` Default value for max address length = 200
    `static int` | `DEFAULT_MAX_HANDLERS_PER_SOCKET` Default value for max handlers per socket = 1000
    `static long` | `DEFAULT_PING_TIMEOUT` Default value for ping timeout = 10000 ms
    `static long` | `DEFAULT_REPLY_TIMEOUT` Default value for reply timeout = 30000

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BridgeOptions()` Default constructor
    `BridgeOptions(BridgeOptions other)` Copy constructor
    `BridgeOptions(JsonObject json)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BridgeOptions` | `addInboundPermitted(PermittedOptions permitted)`
    `BridgeOptions` | `addOutboundPermitted(PermittedOptions permitted)`
    `List<PermittedOptions>` | `getInboundPermitteds()`
    `int` | `getMaxAddressLength()`
    `int` | `getMaxHandlersPerSocket()`
    `List<PermittedOptions>` | `getOutboundPermitteds()`
    `long` | `getPingTimeout()`
    `long` | `getReplyTimeout()`
    `void` | `setInboundPermitted(List<PermittedOptions> inboundPermitted)`
    `BridgeOptions` | `setMaxAddressLength(int maxAddressLength)`
    `BridgeOptions` | `setMaxHandlersPerSocket(int maxHandlersPerSocket)`
    `void` | `setOutboundPermitted(List<PermittedOptions> outboundPermitted)`
    `BridgeOptions` | `setPingTimeout(long pingTimeout)`
    `BridgeOptions` | `setReplyTimeout(long replyTimeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_ADDRESS_LENGTH

          public static final int DEFAULT_MAX_ADDRESS_LENGTH

      Default value for max address length = 200
      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_HANDLERS_PER_SOCKET

          public static final int DEFAULT_MAX_HANDLERS_PER_SOCKET

      Default value for max handlers per socket = 1000
      See Also:
        Constant Field Values

    - #### DEFAULT_PING_TIMEOUT

          public static final long DEFAULT_PING_TIMEOUT

      Default value for ping timeout = 10000 ms
      See Also:
        Constant Field Values

    - #### DEFAULT_REPLY_TIMEOUT

          public static final long DEFAULT_REPLY_TIMEOUT

      Default value for reply timeout = 30000
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BridgeOptions

          public BridgeOptions(BridgeOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### BridgeOptions

          public BridgeOptions()

      Default constructor

    - #### BridgeOptions

          public BridgeOptions(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getMaxAddressLength

          public int getMaxAddressLength()

    - #### setMaxAddressLength

          public BridgeOptions setMaxAddressLength(int maxAddressLength)

    - #### getMaxHandlersPerSocket

          public int getMaxHandlersPerSocket()

    - #### setMaxHandlersPerSocket

          public BridgeOptions setMaxHandlersPerSocket(int maxHandlersPerSocket)

    - #### getPingTimeout

          public long getPingTimeout()

    - #### setPingTimeout

          public BridgeOptions setPingTimeout(long pingTimeout)

    - #### getReplyTimeout

          public long getReplyTimeout()

    - #### setReplyTimeout

          public BridgeOptions setReplyTimeout(long replyTimeout)

    - #### addInboundPermitted

          public BridgeOptions addInboundPermitted(PermittedOptions permitted)

    - #### getInboundPermitteds

          public List<PermittedOptions> getInboundPermitteds()

    - #### setInboundPermitted

          public void setInboundPermitted(List<PermittedOptions> inboundPermitted)

    - #### addOutboundPermitted

          public BridgeOptions addOutboundPermitted(PermittedOptions permitted)

    - #### getOutboundPermitteds

          public List<PermittedOptions> getOutboundPermitteds()

    - #### setOutboundPermitted

          public void setOutboundPermitted(List<PermittedOptions> outboundPermitted)

Copyright © 2019 Eclipse. All rights reserved.